=head1 NAME

Gtk2::CheckButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ToggleButton
                                     +----Gtk2::CheckButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkActivatable



=cut


=head1 METHODS

=head2 widget = Gtk2::CheckButton-E<gt>B<new> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::CheckButton-E<gt>B<new_with_label> ($label=undef)

=over

=item * $label (string) 

=back

=head2 widget = Gtk2::CheckButton-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=item * $label (string) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>, L<Gtk2::ToggleButton>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

